## hmmer 2.0

=== Makefile ===
# Makefile for HMMER: Main project directory: installation, documentation
# RCS $Id: Makefile,v 1.15 1998/05/28 15:15:31 eddy Exp $
##########
# HMMER - Biological sequence analysis with profile HMMs
# Copyright (C) 1992-1998 Washington University School of Medicine
#
#   This source code is distributed under the terms of the 
#   GNU General Public License. See the files COPYING and 
#   LICENSE for details.
#    
###########

# Modify the following stuff to suit your needs.
# On must Unices, you can build the package without modifying anything 
#   by just typing "make".
#
# "make test" should also work without any configuration.
#
# But when you install, you'll want to be sure BINDIR and MANDIR
#   are set properly before doing a "make install".

# where you want things installed
#  Many installations will want to change $(HOME) to /usr/local, for instance  
#
BINDIR  = $(HOME)/bin
MANDIR  = $(HOME)/man

# your compiler and compiler flags
#
CC     = cc
CFLAGS = -O 

# how to install the man pages; 
# cp is generally fine, unless you preformat your pages.
#
INSTMAN   = cp
MANSUFFIX = 1


#######
## HMMER installers should not need to modify below this line
## Much of it is concerned with maintenance of the development version
## and building the release (indeed, several commands will only work in 
## St. Louis)
#######
RELEASE     = "2.0"
RELEASEDATE = "June 1998"
RELCODE     = "beta2_0"

SHELL       = /bin/sh
SQUIDSRCDIR = $(HOME)/src/squid
COMPRESS    = compress
FTPDIR      = /nfs/newftp/eddy/hmmer/

PROGS = hmmalign hmmbuild hmmcalibrate hmmconvert hmmemit hmmpfam hmmsearch 

READMES = 00README COPYING INSTALL GNULICENSE NOTES

MANS =  hmmalign hmmbuild hmmcalibrate hmmconvert hmmemit hmmer hmmpfam hmmsearch 

HDRS =  config.h funcs.h globals.h structs.h version.h

SRC =   hmmalign.c    hmmbuild.c        hmmcalibrate.c    hmmconvert.c\
	hmmemit.c     hmmpfam.c         hmmsearch.c\
	alphabet.c    core_algorithms.c debug.c           emit.c\
	emulation.c   histogram.c       hmmio.c           mathsupport.c\
        masks.c       misc.c            modelmakers.c     plan7.c\
	plan9.c       prior.c           tophits.c         trace.c

SQUIDSRC = aligneval.c  alignio.c   cluster.c   dayhoff.c\
	   file.c       getopt.c    gnuregex.c  interleaved.c\
	   iupac.c      msf.c       revcomp.c   selex.c\
	   sqerror.c    sqio.c      sre_ctype.c sre_math.c\
	   sre_string.c stack.c     translate.c types.c\
           weight.c

SQUIDHDRS = gnuregex.h squid.h sqfuncs.h 

SHIVADIST = README\
	    evd_test.c         masks_test.c parsingviterbi_test.c\
	    tophits_test.c     trace_test.c viterbi_exercise.c\
	    weeviterbi_test.c\
	    Optiontests.pl   Optiontests.fa  Optiontests.nfa Optiontests.nslx\
	    Optiontests.pam  Optiontests.pri Optiontests.slx\
	    fn3.hmm titin.fa\
	    trace_test.hmm trace_test.seq trace_test.slx \
	    weeviterbi_test.hmm weeviterbi_test.seq

DEMOS = globins50.msf  globins630.fa Artemia.fa\
	rrm.slx pkinase.slx fn3.slx\
	rrm.hmm\
	RU1A_HUMAN 7LES_DROME\


# all: compiles the src package, if we don't have precompiled binaries,
#      and moves them into binaries/ subdirectory.
#
all:
	@if test -d binaries; then\
	   echo "You have a precompiled HMMER distribution. No need to make.";\
	else\
	   (cd src; make CC="$(CC)" CFLAGS="$(CFLAGS)");\
	   mkdir binaries;\
	   for prog in $(PROGS); do\
	      mv src/$$prog binaries/;\
	   done;\
	fi

# test: compiles and runs test suite in Shiva/
#       These are public tests, distributed with the package.
#
test:	
	(cd src; make CC="$(CC)" CFLAGS="$(CFLAGS)" libhmmer.a)
	(cd Shiva; make CC="$(CC)" CFLAGS="$(CFLAGS)")
	(cd Shiva; make shiva)


# verify: consistency checks on the package
#         These are private tests, not distributed with HMMER
verify:
	@echo Checking options for consistency...
	@for prog in $(PROGS); do\
	   ./checkoptions.pl $$prog;\
	done


# install: installs the binaries in BINDIR/
#          installs man pages in MANDIR/man1/  (if MANSUFFIX is 1)
install:
	for file in $(PROGS); do\
	   cp binaries/$$file $(BINDIR)/;\
	done
	for file in $(MANS); do\
	   $(INSTMAN) Man/$$file.man $(MANDIR)/man$(MANSUFFIX)/$$file.$(MANSUFFIX);\
	done


# doc:  build the Userguide and on-line manual
#
doc:
	(cd Userguide; make)

# dist: build a new distribution directory in build/hmmer-$RELEASE
#       checks out RCS files read-only
#       tags RCS files with $(RELCODE) for later reconstruction
#       squid RCS files are tagged with hmmer$(RELCODE).
#
#       Thou mayest not use files other than RCS files for a build.
#       (Else reconstruction may not work).
#
dist:
#
# Create directory structure for build
#
	@if test -d build/hmmer-$(RELEASE); then rm -rf build/hmmer-$(RELEASE); fi
	@if test -d build/hmmer-$(RELEASE).tar; then rm -f build/hmmer-$(RELEASE).tar; fi
	@if test -d build/hmmer-$(RELEASE).tar.Z; then rm -f build/hmmer-$(RELEASE).tar.Z; fi
	@if test -d build/hmmer-$(RELEASE).tar.gz; then rm -f build/hmmer-$(RELEASE).tar.gz; fi
	mkdir build/hmmer-$(RELEASE)
	mkdir build/hmmer-$(RELEASE)/src
	mkdir build/hmmer-$(RELEASE)/Demos
	mkdir build/hmmer-$(RELEASE)/Man
	mkdir build/hmmer-$(RELEASE)/Shiva
	mkdir build/hmmer-$(RELEASE)/Userguide
#
# RCS extraction of top level README-type documentation and Makefile
#
	for file in $(READMES) Makefile; do\
	  rcs -N$(RELCODE): RCS/$$file,v;\
	  co RCS/$$file,v build/hmmer-$(RELEASE)/$$file;\
        done
#
# RCS extraction of src/ source code subdirectory
#
	for file in $(SRC) $(HDRS) Makefile; do\
           rcs -N$(RELCODE): src/RCS/$$file,v;\
	   co src/RCS/$$file,v build/hmmer-$(RELEASE)/src/$$file;\
	done
	for file in $(SQUIDSRC) $(SQUIDHDRS); do\
	   rcs -Nhmmer_$(RELCODE): $(SQUIDSRCDIR)/RCS/$$file,v;\
	   co $(SQUIDSRCDIR)/RCS/$$file,v build/hmmer-$(RELEASE)/src/$$file;\
	done
#
# RCS extraction of Demos/ 
#
	for file in $(DEMOS); do\
	  rcs -N$(RELCODE): Demos/RCS/$$file,v;\
	  co Demos/RCS/$$file,v build/hmmer-$(RELEASE)/Demos/$$file;\
        done
#
# RCS extraction of Man/ manual pages
#
	for file in $(MANS); do\
	   rcs -N$(RELCODE): Man/RCS/$$file.man,v;\
	   co Man/RCS/$$file.man,v build/hmmer-$(RELEASE)/Man/$$file.man;\
	done
#
# RCS extraction of Shiva/ testsuite
#
	for file in $(SHIVADIST) Makefile; do\
	   rcs -N$(RELCODE): Shiva/RCS/$$file,v;\
	   co Shiva/RCS/$$file,v build/hmmer-$(RELEASE)/Shiva/$$file;\
	done
# 
# Compilation of documentation: includes hmmer-html.tar.Z and Userguide.ps
# Documentation not provided in source form.
#
	(cd Userguide; make clean)
	(cd Userguide; make)
	cp Userguide/Userguide.ps      build/hmmer-$(RELEASE)/Userguide/
	cp Userguide/hmmer-html.tar.Z  build/hmmer-$(RELEASE)/Userguide/
#
# Packaging commands
#
	tar cvf build/hmmer-$(RELEASE).tar build/hmmer-$(RELEASE)
	$(COMPRESS) build/hmmer-$(RELEASE).tar


# make ftpdist: install FTP distribution. Assumes a "make dist"
#               has already succeeded. Doesn't do the symlink;
#               doesn't install the on-line manual for the Web site.
#
ftpdist:
	cp $(READMES)                   $(FTPDIR)
	cp build/hmmer-$(RELEASE).tar.Z $(FTPDIR)
	cp Userguide/Userguide.ps       $(FTPDIR)
	cp Userguide/hmmer-html.tar.Z   $(FTPDIR)


# make stable: Set up the FTP site symlink to the current stable HMMER release.
#
stable:
	ln -s $(FTPDIR)/hmmer-$(RELEASE).tar.Z $(FTPDIR)/hmmer.tar.Z

# "make clean" removes dreck
# can be used after a "make" to leave a binary distribution, ready to
#   be tar'ed and compressed up.
#
clean:
	-rm -f *.o *~ Makefile.bak core TAGS gmon.out
	(cd Shiva; make clean)
	(cd src; make clean)

# "make veryclean" removes even the binaries directory
#
veryclean:
	-rm -rf binaries
	make clean

=== Shiva/Makefile ===
# Makefile for Shiva testsuite in HMMER
# RCS $Id: Makefile,v 1.3 1998/05/28 15:46:44 eddy Exp $
##########
# HMMER - Biological sequence analysis with HMMs
# Copyright (C) 1992-1998 Washington University School of Medicine
#
#   This source code is distributed under the terms of the 
#   GNU General Public License. See the files COPYING and 
#   LICENSE for details.
#    
###########

## your compiler and flags
#
CC     = cc
CFLAGS = -g -Wall

## archiving command, and ranlib command if you need one
#  if you need ranlib and it's in /bin or /usr/bin, you
#  don't need to change RANLIB. If you don't need ranlib,
#  you also don't need to change anything.
#
AR     = ar rcv 
RANLIB = ranlib

#######
## should not need to modify below this line
#######
SHELL  = /bin/sh
LIBS   = -lhmmer -lm

SHIVA = evd_test        masks_test       parsingviterbi_test   tophits_test\
	trace_test	viterbi_exercise weeviterbi_test

OBJ  = ../src/libhmmer.a

.c.o:
	$(CC) $(CFLAGS) -I../src/ -c $<		

#######
## Targets defining how to make Shiva executables.
#######

all: 	$(SHIVA)

evd_test: $(OBJ) evd_test.o
	$(CC) $(CFLAGS) -o $@ -L../src/ evd_test.o $(LIBS)

masks_test: $(OBJ) masks_test.o
	$(CC) $(CFLAGS) -o $@ -L../src/ masks_test.o $(LIBS)

parsingviterbi_test: $(OBJ) parsingviterbi_test.o
	$(CC) $(CFLAGS) -o $@ -L../src/ parsingviterbi_test.o $(LIBS)

tophits_test: $(OBJ) tophits_test.o
	$(CC) $(CFLAGS) -o $@ -L../src/ tophits_test.o $(LIBS)

trace_test: $(OBJ) trace_test.o
	$(CC) $(CFLAGS) -o $@ -L../src/ trace_test.o $(LIBS)

viterbi_exercise: $(OBJ) viterbi_exercise.o
	$(CC) $(CFLAGS) -o $@ -L../src/ viterbi_exercise.o $(LIBS)

weeviterbi_test: $(OBJ) weeviterbi_test.o
	$(CC) $(CFLAGS) -o $@ -L../src/ weeviterbi_test.o $(LIBS)

#######
## `make shiva` runs the tests.
#######

shiva:   $(SHIVA)
	@echo Compiled Shiva exercises:
	@for shivatest in $(SHIVA); do\
	   ./$$shivatest;\
	   echo $$shivatest: ok;\
	done
	@echo Scripted Shiva tests:
	./Optiontests.pl

#######
## Miscellaneous
#######

clean:
	-rm -f *.o *~ Makefile.bak core $(SHIVA) TAGS gmon.out

tags:
	etags -t *.c

=== src/Makefile ===
# Makefile for HMMER: Source directory
# RCS $Id: Makefile,v 1.12 1998/05/28 14:19:34 eddy Exp $
##########
# HMMER - Biological sequence analysis with HMMs
# Copyright (C) 1992-1998 Sean R. Eddy
#
#   This source code is distributed under the terms of the 
#   GNU General Public License. See the files COPYING and 
#   LICENSE for details.
#    
###########

## your compiler and compiler flags
#
CC     = cc
CFLAGS = -g -Wall

## machine specific definitions
#
MDEFS = 

## archiving command, and ranlib command if you need one.
#  In general, you shouldn't need to change these, and they're
#  only used for building the Shiva testsuite anyway.
#
AR     = ar rcv 
RANLIB = ranlib



#######
## You should not need to modify below this line
#######
SHELL  = /bin/sh
LIBS   = -lm

PROGS = hmmalign hmmbuild hmmcalibrate hmmconvert hmmemit hmmpfam hmmsearch 

HDRS =  config.h funcs.h globals.h structs.h version.h

SQUIDHDRS = gnuregex.h squid.h sqfuncs.h 

SRC =   hmmalign.c    hmmbuild.c        hmmcalibrate.c    hmmconvert.c\
        hmmpfam.c     hmmsearch.c\
	alphabet.c    core_algorithms.c debug.c           emit.c\
	emulation.c   histogram.c       hmmio.c           mathsupport.c\
        masks.c       misc.c            modelmakers.c     plan7.c\
	plan9.c	      prior.c           tophits.c         trace.c

SQUIDSRC = aligneval.c  alignio.c   cluster.c   dayhoff.c\
	   file.c       getopt.c    gnuregex.c  interleaved.c\
	   iupac.c      msf.c       revcomp.c   selex.c\
	   sqerror.c    sqio.c      sre_ctype.c sre_math.c\
	   sre_string.c stack.c     translate.c types.c\
	   weight.c

OBJ =  	alphabet.o    core_algorithms.o debug.o	          emit.o\
	emulation.o   histogram.o       hmmio.o           mathsupport.o\
        masks.o       misc.o            modelmakers.o     plan7.o\
	plan9.o       prior.o           tophits.o         trace.o\
        aligneval.o   alignio.o         cluster.o         dayhoff.o\
	file.o        getopt.o          gnuregex.o        interleaved.o\
	iupac.o       msf.o             revcomp.o         selex.o\
	sqerror.o     sqio.o            sre_ctype.o       sre_math.o\
	sre_string.o  stack.o           translate.o       types.o\
	weight.o

.c.o:
	$(CC) $(CFLAGS) $(MDEFS) -c $<		

#######
## Targets defining how to make HMMER executables.
#######

all: 	$(PROGS)

hmmalign: $(OBJ) hmmalign.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmalign.o $(OBJ) $(LIBS) 

hmmbuild: $(OBJ) hmmbuild.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmbuild.o $(OBJ) $(LIBS) 

hmmcalibrate: $(OBJ) hmmcalibrate.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmcalibrate.o $(OBJ) $(LIBS) 

hmmconvert: $(OBJ) hmmconvert.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmconvert.o $(OBJ) $(LIBS) 

hmmemit: $(OBJ) hmmemit.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmemit.o $(OBJ) $(LIBS) 

hmmpfam: $(OBJ) hmmpfam.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmpfam.o $(OBJ) $(LIBS) 

hmmsearch: $(OBJ) hmmsearch.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmsearch.o $(OBJ) $(LIBS) 

#######
## Target used in making Shiva test suite
#######

libhmmer.a: $(OBJ)
	$(AR) libhmmer.a $(OBJ)
	-if test -x /bin/ranlib; then /bin/ranlib libhmmer.a; else exit 0; fi
	-if test -x /usr/bin/ranlib; then /usr/bin/ranlib libhmmer.a; else exit 0; fi
	-if test -x $(RANLIB); then $(RANLIB) libhmmer.a; else exit 0; fi
	chmod 644 libhmmer.a


#######
## Targets defining different build styles;
#######

# Make a "production" copy
prodv:
	make clean
	make CFLAGS="-O2" MDEFS="" LIBS="-lm"

# Make a debugging copy
dbv:
	make clean	
	make CFLAGS="-g -Wall -pedantic" MDEFS="" LIBS="-lm"

# Make a memory debugging copy
memv: 
	make clean	
	make CFLAGS="-g -Wall" MDEFS="-DMEMDEBUG -L." LIBS="-lm -ldbmalloc"


# Make an Electric Fence version
efencev:
	make clean
	make CFLAGS="-g -Wall" MDEFS="" LIBS="-lm -lefence"

# Make a gprof version
gprofv:
	make clean
	make CFLAGS="-pg" MDEFS="" LIBS="-lm" 


#######
## Targets only used in development, irrelevant to distribution copy
#######

# Extract squid files from RCS.
squid:  
	for file in $(SQUIDHDRS); do\
	   co $(HOME)/src/squid/RCS/$$file,v $$file;\
	done
	for file in $(SQUIDSRC); do\
	   co $(HOME)/src/squid/RCS/$$file,v $$file;\
	done

#######
## Miscellaneous
#######

clean:
	-rm -f *.o *~ Makefile.bak core $(PROGS) TAGS gmon.out libhmmer.a

tags:
	etags -t $(SRC) $(HDRS) $(READMES) 

lint:
	lint $(MDEFS) $(SRC)

## hmmer 2.1.2

=== debian/changelog ===
hmmer (2.1.2) unstable; urgency=low

  * New maintainer

 -- Matthew Vernon <matthew@debian.org>  Tue, 07 Dec 1999 16:30:35 +0000

hmmer (2.1.1-1) unstable; urgency=low

  * New upstream version.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 30 Mar 1999 16:50:05 -0700

hmmer (2.0-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 13 Aug 1998 21:48:53 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "matthew@debian.org"
End:

=== debian/control ===
Source: hmmer
Section: math
Priority: extra
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 2.3.0.1

Package: hmmer
Architecture: any
Depends:  ${shlibs:Depends}
Description: models protein or nucleic acid sequences.
 Hmmer is a suite of programs which use profile
 hidden Markov models (profile HMMs) to model
 the primary structure consensus of a family of
 protein or nucleic acid sequences. 
 Homepage:  http://hmmer.wustl.edu/

=== debian/rules ===
#!/usr/bin/make -f
# ssystem debian build rules
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
 
package=hmmer

INSTALL=/usr/bin/install
INSTDIR=`pwd`

build:
	$(checkdir)
	-rm config.cache
	./configure
	make
#	make CC=cc CFLAGS="-g -O3 -Wall -funroll-loops  -ffast-math"  \
#	      BINDIR=/usr/bin  MANDIR=/usr/man  COMPRESS=gzip

clean:
	$(checkdir)
	-rm -f build
	-rm -rf binaries
	-make clean
	-rm config.cache
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp

#  Install directories
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/lib/$(package)
	install -d debian/tmp/DEBIAN
	export INSTDIR=`pwd`;    \
	make  BINDIR=$(INSTDIR)/debian/tmp/usr/bin   \
              MANDIR=$(INSTDIR)/debian/tmp/usr/man    install
#

	chmod 644 debian/tmp/usr/man/man1/*
	gzip -9v debian/tmp/usr/man/man1/*
	strip --strip-unneeded debian/tmp/usr/bin/*

#
	$(INSTALL) -m 644 INSTALL NOTES 00README  debian/tmp/usr/doc/$(package)/.
	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(package)
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cd Userguide; tar -C ../debian/tmp/usr/doc/$(package) -xzf hmmer-html.tar.Z
	install -m 644  Userguide/Userguide.ps debian/tmp/usr/doc/$(package)
	chmod  644  debian/tmp/usr/doc/$(package)/hmmer-html/*
	chmod  755  debian/tmp/usr/doc/$(package)/hmmer-html/l2h*
	chmod  644  debian/tmp/usr/doc/$(package)/hmmer-html/l2h*/*
	rm -rf debian/tmp/usr/doc/$(package)/hmmer-html/TMP
	-gzip -9fv debian/tmp/usr/doc/$(package)/*

# don't gzip these
#
	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright
	cp -r Demos debian/tmp/usr/doc/$(package)
	chmod 644 debian/tmp/usr/doc/$(package)/Demos/*

#
	   dpkg-shlibdeps binaries/*
	   dpkg-gencontrol
	   chown -R root.root debian/tmp
	   chmod -R go=rX debian/tmp
	   dpkg --build debian/tmp ..



define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## hmmer 2.1.4

=== debian/changelog ===
hmmer (2.1.4) unstable; urgency=low

  * Change section to science

 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 02:51:17 +0100

hmmer (2.1.3) unstable; urgency=low

  * Move from /usr/man to /usr/share/man (closes: #91171)
  * Move from /usr/doc to /usr/share/doc (closes: #91494)

 -- Matthew Vernon <matthew@debian.org>  Mon, 09 Apr 2001 16:12:21 +0100
	

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hmmer
-Section: math
+Section: science
 Priority: extra
 Maintainer: Matthew Vernon <matthew@debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 3.2.1.0
 
 Package: hmmer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -37,36 +37,36 @@
 
 #  Install directories
 	install -d debian/tmp/usr/bin
-	install -d debian/tmp/usr/man/man1
-	install -d debian/tmp/usr/doc/$(package)
+	install -d debian/tmp/usr/share/man/man1
+	install -d debian/tmp/usr/share/doc/$(package)
 	install -d debian/tmp/usr/lib/$(package)
 	install -d debian/tmp/DEBIAN
 	export INSTDIR=`pwd`;    \
 	make  BINDIR=$(INSTDIR)/debian/tmp/usr/bin   \
-              MANDIR=$(INSTDIR)/debian/tmp/usr/man    install
+              MANDIR=$(INSTDIR)/debian/tmp/usr/share/man    install
 #
 
-	chmod 644 debian/tmp/usr/man/man1/*
-	gzip -9v debian/tmp/usr/man/man1/*
+	chmod 644 debian/tmp/usr/share/man/man1/*
+	gzip -9v debian/tmp/usr/share/man/man1/*
 	strip --strip-unneeded debian/tmp/usr/bin/*
 
 #
-	$(INSTALL) -m 644 INSTALL NOTES 00README  debian/tmp/usr/doc/$(package)/.
-	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(package)
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	cd Userguide; tar -C ../debian/tmp/usr/doc/$(package) -xzf hmmer-html.tar.Z
-	install -m 644  Userguide/Userguide.ps debian/tmp/usr/doc/$(package)
-	chmod  644  debian/tmp/usr/doc/$(package)/hmmer-html/*
-	chmod  755  debian/tmp/usr/doc/$(package)/hmmer-html/l2h*
-	chmod  644  debian/tmp/usr/doc/$(package)/hmmer-html/l2h*/*
-	rm -rf debian/tmp/usr/doc/$(package)/hmmer-html/TMP
-	-gzip -9fv debian/tmp/usr/doc/$(package)/*
+	$(INSTALL) -m 644 INSTALL NOTES 00README  debian/tmp/usr/share/doc/$(package)/.
+	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/share/doc/$(package)
+	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
+	cd Userguide; tar -C ../debian/tmp/usr/share/doc/$(package) -xzf hmmer-html.tar.Z
+	install -m 644  Userguide/Userguide.ps debian/tmp/usr/share/doc/$(package)
+	chmod  644  debian/tmp/usr/share/doc/$(package)/hmmer-html/*
+	chmod  755  debian/tmp/usr/share/doc/$(package)/hmmer-html/l2h*
+	chmod  644  debian/tmp/usr/share/doc/$(package)/hmmer-html/l2h*/*
+	rm -rf debian/tmp/usr/share/doc/$(package)/hmmer-html/TMP
+	-gzip -9fv debian/tmp/usr/share/doc/$(package)/*
 
 # don't gzip these
 #
-	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright
-	cp -r Demos debian/tmp/usr/doc/$(package)
-	chmod 644 debian/tmp/usr/doc/$(package)/Demos/*
+	cp debian/copyright debian/tmp/usr/share/doc/$(package)/copyright
+	cp -r Demos debian/tmp/usr/share/doc/$(package)
+	chmod 644 debian/tmp/usr/share/doc/$(package)/Demos/*
 
 #
 	   dpkg-shlibdeps binaries/*

## hmmer 3.0

=== debian/changelog ===
hmmer (3.0-4) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/upstream: Took over additional citation from tasks file
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
  * debhelper 8 (control + compat)
  * debian/docs: removed because empty
  * debian/copyright:
     - Rewritten to match DEP5 (verified using `cme fix dpkg-copyright`)
     - Added Files: easel:* section
  * debian/rules: Fixed clean target by cleaning up easel/testsuite dir

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 09:53:16 +0200

hmmer (3.0-3) unstable; urgency=low

  * Fix "FTBFS (powerpc): altivec and cast errors": remove special
    casing for powerpc, so that it gets built with the dummy vector
    implementation like most other architectures - contributed by
    Gregor Herrrmann (Closes: #594860).

 -- Steffen Moeller <moeller@debian.org>  Mon, 25 Oct 2010 00:08:19 +0200

hmmer (3.0-2) unstable; urgency=low

  * Install binaries to /usr/bin instead of /bin
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2010 07:53:17 +0200

hmmer (3.0-1) unstable; urgency=low

  * The 3.0 release should now substitute the outdated 2.3.x one.
  * The hmmer-pvm package is no longer available.

 -- Eric Talevich <etal@uga.edu>  Thu, 08 Jul 2010 14:17:59 -0400

hmmer (2.3.2-6) UNRELEASED; urgency=low

  * Enabled upstream checks in debian/rules.
  * Documented how the package is tested in debian/README.Debian
  * Switched Debhelper to mode 7 (debian/compat, debian/control).
  * Gathered some metadata about upstream in debian/upstream-metadata.yaml.
  * Checked conformance with Policy 3.8.3 and incremented Standards-Version
    in debian/control to reflect it.

 -- Charles Plessy <plessy@debian.org>  Wed, 16 Dec 2009 13:21:02 +0900

hmmer (2.3.2-5) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * debian/control:
    - Added myself as Uploader.
    - Increased priority to `optional'
    - Standards-Version: 3.8.0 (no changes needed)

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Jul 2008 23:49:23 +0900

hmmer (2.3.2-4) unstable; urgency=low

  * Moved Homepage tag from long description to tags
  * Removed XB-Tag because it is actually not used by debtags
  * Added myself as Uploader
  * Standards-Version: 3.7.3 (no changes needed)
  * Added Vcs-Browser, Vcs-Svn
  * DM-Upload-Allowed: yes

 -- Andreas Tille <tille@debian.org>  Tue, 26 Feb 2008 20:40:17 +0100

hmmer (2.3.2-3) unstable; urgency=low

  * Updated hmmer homepage (Closes: #435396). Thanks to Charles Plessy;
  * Updated watch file;
  * Moved Matthew Vernon to Uploaders and set Maintainer to Debian-Med
    Packaging Team <debian-med-packaging@lists.alioth.debian.org>;
  * Downgraded biosquid to recommends.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 31 Jul 2007 15:15:23 -0300

hmmer (2.3.2-2) unstable; urgency=medium

  * Changed my email address;
  * Changing priority to extra, instead optional (hmmer has a dependency on
    pvm and libpmv3 -- Policy 2.5);
  * Added tags on debian/control;
  * Medium urgency to get the package with the correct priority on Etch.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed,  6 Dec 2006 16:27:06 -0200

hmmer (2.3.2-1) unstable; urgency=low

  * New upstream version (Closes: #261293);
  * Documentation is split in a new package (Closes: #233374, #175481);
  * "getseq" is not shipped anymore with hmmer, since it was renamed to
    "sfetch" (Closes: #197658);
  * New package hmmer-pvm, with PVM enabled binaries;
  * The package is again non-Debian native;
  * Using CDBS;
  * Using debhelper compatibility level 5;
  * Updated Standards-Version to 3.7.2;
  * Added doc-base and watch file;
  * Updated copyright file;
  * Added me as co-maintainer.
    From Matthew Vernon:
    "If you're keen to take hmmer, take it; I'm writing up my thesis at the
    moment, so my time for Debian is somewhat limited; I took on hmmer
    because it was orphaned at the time, and I wanted it to stay in the
    distribution."

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Tue, 15 Aug 2006 17:30:32 -0300

=== debian/control ===
Source: hmmer
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Section: science
Uploaders: Matthew Vernon <matthew@debian.org>,
 Nelson A. de Oliveira <naoliv@debian.org>,
 Andreas Tille <tille@debian.org>,
 Charles Plessy <plessy@debian.org>,
 Eric Talevich <etal@uga.edu>
Build-Depends: cdbs, debhelper (>= 8), autotools-dev
Standards-Version: 3.9.3
Homepage: http://hmmer.janelia.org/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/hmmer/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/hmmer/trunk/

Package: hmmer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hmmer-doc (>= ${source:Version})
Description: profile hidden Markov models for protein sequence analysis
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.

Package: hmmer-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: hmmer (>= ${source:Version}), xpdf-reader | pdf-viewer
Description: profile hidden Markov models for protein sequence analysis (docs)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains documents and example files for the hmmer package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

ARCH=`dpkg-architecture -qDEB_BUILD_ARCH_CPU`

ifeq ("amd64",$(ARCH))
DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-sse --mandir=$(CURDIR)/debian/tmp/usr/share/man
else
ifeq ("powerpc",$(ARCH))
DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-vmx --mandir=$(CURDIR)/debian/tmp/usr/share/man
else
DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --mandir=$(CURDIR)/debian/tmp/usr/share/man
endif
endif

#DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-mpi
DEB_MAKE_INSTALL_TARGET := install prefix=$(CURDIR)/debian/tmp/usr
DEB_MAKE_CHECK_TARGET = check

clean::
	rm -f testsuite/esltmp*
	rm -f easel/testsuite/esltmp*

=== debian/watch ===
version=3
ftp://selab.janelia.org/pub/software/hmmer3/3.0/hmmer-([0-9\.]*)\.tar\.gz

## hmmer 3.1b1

=== debian/changelog ===
hmmer (3.1b1-3) unstable; urgency=low

  * Apply patch from Adam Conrad <adconrad@debian.org> to build on
    powerpc (thanks to Adam for the patch)
    Closes: #728650
  * DEP3 patch headers
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2013 17:24:47 +0100

hmmer (3.1b1-2) unstable; urgency=low

  [ Charles Plessy ]
  * Removed myself from the Uploaders.

  [ Andreas Tille ]
  * debian/rules: Use --with autotools_dev
    Closes: #727386

 -- Andreas Tille <tille@debian.org>  Thu, 24 Oct 2013 08:37:52 +0200

hmmer (3.1b1-1) unstable; urgency=low

  * Upload changes from BioLinux to Debian
  * debian/control:
     - cme fix dpkg-control
     - provide real package (evince) for pdf-viewer
     - debhelper 9
     - anonscm for Vcs fields

 -- Andreas Tille <tille@debian.org>  Thu, 15 Aug 2013 20:20:03 +0200

hmmer (3.1b1-0biolinux1) precise; urgency=low

  * New upstream
  * Switch to DH in rules as CDBS does my nut in
  * Simplify hmmer.install and kill hmmer.manpages
  * Added binaries:
     alimask
     hmmc2
     hmmlogo
     hmmpgmd
     nhmmer
     nhmmscan
  * Modify watchfile to see new version
  * Avoid compressing all the tutorial data
  * make distclean was failing :- fixed with patch

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 15 Aug 2013 16:34:31 +0100

=== debian/control ===
Source: hmmer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Matthew Vernon <matthew@debian.org>,
           Nelson A. de Oliveira <naoliv@debian.org>,
           Andreas Tille <tille@debian.org>,
           Eric Talevich <etal@uga.edu>,
           Tim Booth <tbooth@ceh.ac.uk>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/hmmer/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/hmmer/trunk/
Homepage: http://hmmer.janelia.org/

Package: hmmer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: hmmer-doc (>= ${source:Version})
Description: profile hidden Markov models for protein sequence analysis
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.

Package: hmmer-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: hmmer (>= ${source:Version}),
            evince | pdf-viewer
Description: profile hidden Markov models for protein sequence analysis (docs)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains documents and example files for the hmmer package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifeq (amd64,$(ARCH))
    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-sse
 else
    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads
endif

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	make check

override_dh_auto_clean:
	dh_auto_clean
	rm -f testsuite/esltmp*
	rm -f easel/testsuite/esltmp*
	rm -f tutorial/MADE1.hmm.h3?

override_dh_compress:
	dh_compress -Xtutorial/

## hmmer 3.1b2

=== debian/changelog ===
hmmer (3.1b2-2) unstable; urgency=medium

  * debian/control: Fix contact address
  * restrict architectures to Intel architectures
    Closes: #806675

 -- Andreas Tille <tille@debian.org>  Wed, 02 Dec 2015 08:21:42 +0100

hmmer (3.1b2-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 22:45:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/hmmer/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/hmmer/trunk/
 Homepage: http://hmmer.janelia.org/
 
 Package: hmmer
-Architecture: any
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: hmmer-doc (>= ${source:Version})

=== debian/watch ===
version=3
ftp://selab.janelia.org/pub/software/hmmer3/CURRENT/hmmer-([0-9\.abc]*)\.tar\.gz

## hmmer 3.1b2+dfsg

=== debian/changelog ===
hmmer (3.1b2+dfsg-5ubuntu1) zesty; urgency=medium

  * Sync on Debian unstable.  Remaining changes:
    - Enable altivec on powerpc/ppc64el
    - Enable arch:any builds

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 21 Jan 2017 14:02:45 +0530

hmmer (3.1b2+dfsg-5) unstable; urgency=medium

  * New homepage
  * Fix watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 15:35:12 +0100

hmmer (3.1b2+dfsg-3ubuntu1) yakkety; urgency=medium

  * Enable altivec on powerpc/ppc64el
  * Enable arch:any builds

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Sep 2016 16:16:17 +0100

hmmer (3.1b2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Ensure deletion of temporary files named by PID in
      all example directories.
    - Remove build directory from CFLAGS in installed Makefiles.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 27 Aug 2016 09:47:45 +0000

hmmer (3.1b2+dfsg-2) unstable; urgency=medium

  * Reproducible build (thanks for the patch to Chris Lamb)
    Closes: #830286

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jul 2016 23:16:42 +0200

hmmer (3.1b2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Afif Elghraoui ]
  * Set VCS URLs to point to git repository
  * Bump Standards-Version to 3.9.8

  [ Canberk Koç ]
  * Autopkgtests added
  * debian/rules:
    - examples added
  * License issue solved

  [ Andreas Tille ]
  * Clean up Uploaders from inactive maintainers
  * Better hardening
  * Remove useless .dropbox.attr files from package
  * Create a separate examples package
  * Seems old perl4 scripts are used in examples - add according dependencies
  * Fix permissions
  * Drop libdivsufsort in favour of using the Debian packaged version

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 3 Jul 2016 01:04:33 +0300

=== debian/control ===
Source: hmmer
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               libdivsufsort-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-med/hmmer.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/hmmer.git
Homepage: http://hmmer.org/

Package: hmmer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: hmmer-doc (>= ${source:Version})
Description: profile hidden Markov models for protein sequence analysis
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.

Package: hmmer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: hmmer (>= ${source:Version}),
            evince | pdf-viewer
Description: profile hidden Markov models for protein sequence analysis (docs)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains the documentation and a tutorial for the hmmer package.

Package: hmmer-examples
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libperl4-corelibs-perl | perl (<< 5.12.3-7)
Description: profile hidden Markov models for protein sequence analysis (examples)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains example files to test the hmmer package.

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,28 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+sampledir:=$(CURDIR)/debian/$(DEBPKGNAME)-examples/usr/share/doc/$(DEBPKGNAME)/examples
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
 
 ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 
 ifeq (amd64,$(ARCH))
     DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-sse
- else
+else ifeq (powerpc,$(ARCH))
+    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-altivec
+else ifeq (ppc64el,$(ARCH))
+    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-altivec
+else
     DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads
 endif
+
+override_dh_autoreconf:
+	AUTOHEADER=true dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
@@ -28,3 +40,22 @@
 
 override_dh_compress:
 	dh_compress -Xtutorial/
+
+override_dh_installexamples:
+	dh_installexamples
+	mkdir -p $(sampledir)/src/impl;
+	find src/ -maxdepth 1 -name "*_utest" -exec cp \{\} $(sampledir)/src/ \;
+	find src/impl_sse -name "*_utest" -exec cp \{\} $(sampledir)/src/impl \;
+	cp src/itest_brute $(sampledir)/src;
+	cp src/hmmpress.itest.pl $(sampledir)/src;
+	cp -aR testsuite $(sampledir)/;
+	cp -aR easel $(sampledir)/;
+	cp -aR tutorial $(sampledir)/;
+	find $(sampledir) -name 'Makefile' | xargs sed -i "s^$(CURDIR)^.^g"
+	find $(sampledir) -name "esltmp*" -delete;
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name .dropbox.attr -delete
+	find debian -name "*.fa" -executable -exec chmod -x \{\} \;
+

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://hmmer.org/download.html .*/hmmer.*/.*/hmmer-(\d[^-]+)\.tar\.gz

## hmmer 3.2.1+dfsg

=== debian/changelog ===
hmmer (3.2.1+dfsg-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * HMMER3 has long required SSE or Altivec/VMX instruction support and the
    3.2.1 release enforces this, so we will follow upstreams lead:
    debian/control: Architecture: any-amd64 any-i386 powerpc ppc64 x32
  * debhelper-compat 12
  * Enable a verbose build log
  * Fixed the buildsystem to show commands executed and to build in parallel
  * Using the above, fixed the buildsystem to enable hardening
  * Fixed some spelling errors; thanks lintian!
  * Made autopkgtests more verbose
    Closes: #941805

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * DEP3 for skip check for threads

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 08 Oct 2019 10:53:29 +0200

hmmer (3.2.1+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Hervé Ménager ]
  * correct HMMER ref

  [ Andrius Merkys ]
  * Detecting failed autopkgtest.

  [ Dylan Aïssi ]
  * Re-enable builds for any architectures because upstream has fixed the build
     system to check requirements before to try to build. Unsupported architectures
     will fail gracefully with an explicite message.

  [ Steffen Moeller ]
  * Cleaning autogenerated Makefiles
  * Added ref to conda
  * Standards-Version: 4.4.0
  * Introducing Link-Time-Optimization

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 13 Mar 2019 11:06:20 -0400

hmmer (3.2.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * Adapt doc-base control file to new location of doc
  * d/rules:
     - Respect DEB_BUILD_OPTIONS in override_dh_auto_test
     - Do not parse d/changelog
     - Fix permission of manpage

  [ Dylan Aïssi ]
  * Fix OMICtools ID and replace RRID by SciCrunch

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 08:48:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: hmmer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
                libdivsufsort-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/hmmer.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/hmmer.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/hmmer
+Vcs-Git: https://salsa.debian.org/med-team/hmmer.git
 Homepage: http://hmmer.org/
 
 Package: hmmer
-Architecture: any
+Architecture: any-amd64 any-i386 powerpc ppc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: hmmer-doc (>= ${source:Version})
@@ -49,7 +47,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libperl4-corelibs-perl | perl (<< 5.12.3-7)
+         libperl4-corelibs-perl
 Description: profile hidden Markov models for protein sequence analysis (examples)
  HMMER is an implementation of profile hidden Markov model methods for
  sensitive searches of biological sequence databases using multiple sequence

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

ifeq (,$(filter nolto,$(DEB_BUILD_OPTIONS)))
export DEB_LDFLAGS_MAINT_APPEND+=-flto
export DEB_CFLAGS_MAINT_APPEND+=-flto
endif

sampledir:=$(CURDIR)/debian/$(DEB_SOURCE)-examples/usr/share/doc/$(DEB_SOURCE)/examples

%:
	dh $@

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifeq (amd64,$(ARCH))
    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-sse
 else ifeq (powerpc,$(ARCH))
    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-vmx
 else ifeq (ppc64,$(ARCH))
    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-vmx
 else
    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads
endif

override_dh_autoreconf:
	AUTOHEADER=true dh_autoreconf

override_dh_auto_configure:
	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export V=VERBOSE ; make check -j$(shell nproc) | tee debian/test_log
	if tail -n 6 debian/test_log | head -n 1 | grep -q FAILED ; then false ; fi
endif

override_dh_auto_build:
	export V=VERBOSE ; dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f testsuite/esltmp*
	rm -f easel/testsuite/esltmp*
	rm -f tutorial/MADE1.hmm.h3?
	rm -f config.log config.status
	find . -name Makefile -delete

override_dh_compress:
	dh_compress -Xtutorial/

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/${DEB_HOST_MULTIARCH}/hmmer/
	cp src/hmmc2 $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/${DEB_HOST_MULTIARCH}/hmmer/

override_dh_installexamples:
	dh_installexamples
	mkdir -p $(sampledir)/src/impl
	find src/ -maxdepth 1 -name "*_utest" -exec cp \{\} $(sampledir)/src/ \;
	find src/impl_sse -name "*_utest" -exec cp \{\} $(sampledir)/src/impl \;
	cp src/itest_brute $(sampledir)/src
	cp src/hmmpress.itest.pl $(sampledir)/src
	cp -aR testsuite $(sampledir)
	find easel -name "*.o" -delete
	cp -aR easel $(sampledir)
	cp -aR tutorial $(sampledir)
	find $(sampledir) -name 'Makefile' | xargs sed -i "s^$(CURDIR)^.^g"
	find $(sampledir) -name "esltmp*" -delete

override_dh_fixperms:
	dh_fixperms
	find debian -name .dropbox.attr -delete
	find debian -name "*.fa" -executable -exec chmod -x \{\} \;
	find $(sampledir) -name "*.man" -exec chmod -x \{\} \;

## hmmer 3.3%2Bdfsg2

=== debian/changelog ===
hmmer (3.3+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Restore config.guess and config.sub so that dh_update_autotools_config can
    update them. This fixes the FTBFS.
  * Added python3 build-dep so that the checks run (and the build doesn't
    fail)
  * debian/patches/spelling: fix a typo
  * debian/patches/hardenng: finished CPPFLAGS propogation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 04 Dec 2019 11:26:08 +0100

hmmer (3.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 Nov 2019 19:14:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               libdivsufsort-dev
+               libdivsufsort-dev,
+               python3
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/hmmer
 Vcs-Git: https://salsa.debian.org/med-team/hmmer.git

## hmmer 3.3+dfsg2

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://hmmer.org/download.html .*/hmmer/hmmer-(\d[^-]+)\.tar\.gz
